<div class="toolbar">
  <div class="left-part">
    <div class="logo">
      <div (click)="navigateToHome()"
           [tourAnchor]="tourEnum.mainMenuAvatar"
           class="instance-logo-wrapper"
      >
        <img [src]="logo"
             alt="toolbar-header-image"
             class="instance-logo"
        >
      </div>
    </div>

    <solidify-search-input (valueChange)="search($event)"
                           *ngIf="!isHomePage"
                           [allowEmptySearch]="true"
                           [appearance]="'fill'"
                           [positionLabel]="'auto'"
                           [iconSearchName]="iconNameEnum.search"
                           [labelToTranslate]="'app.searchArchive' | translate"
                           [mode]="'validation'"
                           class="search-bar"
    ></solidify-search-input>
  </div>

  <div class="right-part">
    <ul *ngFor="let menu of getListMenuUser()"
        class="menu"
    >
      <li [solidifyDataTest]="menu.dataTest"
          [tourAnchor]="menu.tourAnchor"
          class="menu-item"
      >
        <a [routerLink]="'/' + menu.path()"
           [class.is-active]="currentPath === menu.rootModulePath"
           class="no-hover-animation"
        >
          <solidify-icon [iconName]="menu.icon"
                         class="size-20 icon"
          ></solidify-icon>
          <span class="text">
          <ng-template [ngIfElse]="simpleIcon"
                       [ngIf]="!(menu.badgeCounter | isNullOrUndefined)"
          >
              <span [matBadgeDescription]="menu.badgeDescription"
                    [matBadgeHidden]="menu.badgeHidden()"
                    [matBadge]="menu.badgeCounter()"
                    class="badge"
                    matBadgeColor="primary"
                    matBadgeSize="small"
              >
                {{menu.labelToTranslate | translate}}
              </span>
          </ng-template>
          <ng-template #simpleIcon>
            {{menu.labelToTranslate | translate}}
          </ng-template>
          </span>
        </a>
      </li>
    </ul>

    <div class="separator"></div>

    <div *ngIf="displayCart"
         [matBadgeHidden]="numberArchiveInCart === 0"
         [matBadge]="numberArchiveInCart"
         matBadgeColor="primary"
         matBadgeDescription="Counter of archive in the cart"
         matBadgeSize="small"
    >
      <button (click)="openCart()"
              [matTooltip]="'app.module.cart' | translate"
              aria-label="Open cart"
              class="cart"
              mat-icon-button
              type="button"

      >
        <solidify-icon [iconName]="iconNameEnum.cart"
                       class="icon cart-icon"
        >
        </solidify-icon>
      </button>
    </div>

    <solidify-language-selector [(language)]="language"
                                class="language-selector"
    >
    </solidify-language-selector>

    <ng-template [ngIfElse]="loggedOut"
                 [ngIf]="!logged"
    >
      <div (click)="login()"
           [matTooltip]="labelTranslateEnum.login | translate"
           class="login"
      >
        <solidify-icon [solidifyDataTest]="dataTestEnum.loginHorizontalInput"
                       [iconName]="iconNameEnum.login"
                       class="size-30"

        ></solidify-icon>
      </div>
    </ng-template>

    <ng-template #loggedOut>
      <div class="logout">
        <dlcm-user-menu (logoutChange)="logout()"
                        (userGuideOpen)="openUserGuide()"
                        (navigateChange)="navigate($event)"
                        [(theme)]="theme"
                        [(darkMode)]="darkMode"
                        [listMenuAdmin]="getListMenuAdmin()"
                        [photoUser]="photoUser"
                        [user]="user"
        ></dlcm-user-menu>
      </div>
    </ng-template>
  </div>
</div>
